UpnpStateVarRequest.c File Reference

Source file for UpnpStateVarRequest methods. More...

`#include "config.h"`
`#include <stdlib.h>`
`#include <string.h>`
`#include "UpnpStateVarRequest.h"`
Include dependency graph for UpnpStateVarRequest.c:

## Data Structures

struct | s_UpnpStateVarRequest

## Functions

UpnpStateVarRequest * | UpnpStateVarRequest_new ()
void | UpnpStateVarRequest_delete (UpnpStateVarRequest *q)
int | UpnpStateVarRequest_assign (UpnpStateVarRequest *p, const UpnpStateVarRequest *q)
UpnpStateVarRequest * | UpnpStateVarRequest_dup (const UpnpStateVarRequest *q)
int | UpnpStateVarRequest_get_ErrCode (const UpnpStateVarRequest *p)
int | UpnpStateVarRequest_set_ErrCode (UpnpStateVarRequest *p, int n)
int | UpnpStateVarRequest_get_Socket (const UpnpStateVarRequest *p)
int | UpnpStateVarRequest_set_Socket (UpnpStateVarRequest *p, int n)
const UpnpString * | UpnpStateVarRequest_get_ErrStr (const UpnpStateVarRequest *p)
int | UpnpStateVarRequest_set_ErrStr (UpnpStateVarRequest *p, const UpnpString *s)
size_t | UpnpStateVarRequest_get_ErrStr_Length (const UpnpStateVarRequest *p)
const char * | UpnpStateVarRequest_get_ErrStr_cstr (const UpnpStateVarRequest *p)
int | UpnpStateVarRequest_strcpy_ErrStr (UpnpStateVarRequest *p, const char *s)
int | UpnpStateVarRequest_strncpy_ErrStr (UpnpStateVarRequest *p, const char *s, size_t n)
void | UpnpStateVarRequest_clear_ErrStr (UpnpStateVarRequest *p)
const UpnpString * | UpnpStateVarRequest_get_DevUDN (const UpnpStateVarRequest *p)
int | UpnpStateVarRequest_set_DevUDN (UpnpStateVarRequest *p, const UpnpString *s)
size_t | UpnpStateVarRequest_get_DevUDN_Length (const UpnpStateVarRequest *p)
const char * | UpnpStateVarRequest_get_DevUDN_cstr (const UpnpStateVarRequest *p)
int | UpnpStateVarRequest_strcpy_DevUDN (UpnpStateVarRequest *p, const char *s)
int | UpnpStateVarRequest_strncpy_DevUDN (UpnpStateVarRequest *p, const char *s, size_t n)
void | UpnpStateVarRequest_clear_DevUDN (UpnpStateVarRequest *p)
const UpnpString * | UpnpStateVarRequest_get_ServiceID (const UpnpStateVarRequest *p)
int | UpnpStateVarRequest_set_ServiceID (UpnpStateVarRequest *p, const UpnpString *s)
size_t | UpnpStateVarRequest_get_ServiceID_Length (const UpnpStateVarRequest *p)
const char * | UpnpStateVarRequest_get_ServiceID_cstr (const UpnpStateVarRequest *p)
int | UpnpStateVarRequest_strcpy_ServiceID (UpnpStateVarRequest *p, const char *s)
int | UpnpStateVarRequest_strncpy_ServiceID (UpnpStateVarRequest *p, const char *s, size_t n)
void | UpnpStateVarRequest_clear_ServiceID (UpnpStateVarRequest *p)
const UpnpString * | UpnpStateVarRequest_get_StateVarName (const UpnpStateVarRequest *p)
int | UpnpStateVarRequest_set_StateVarName (UpnpStateVarRequest *p, const UpnpString *s)
size_t | UpnpStateVarRequest_get_StateVarName_Length (const UpnpStateVarRequest *p)
const char * | UpnpStateVarRequest_get_StateVarName_cstr (const UpnpStateVarRequest *p)
int | UpnpStateVarRequest_strcpy_StateVarName (UpnpStateVarRequest *p, const char *s)
int | UpnpStateVarRequest_strncpy_StateVarName (UpnpStateVarRequest *p, const char *s, size_t n)
void | UpnpStateVarRequest_clear_StateVarName (UpnpStateVarRequest *p)
const struct sockaddr_storage * | UpnpStateVarRequest_get_CtrlPtIPAddr (const UpnpStateVarRequest *p)
int | UpnpStateVarRequest_set_CtrlPtIPAddr (UpnpStateVarRequest *p, const struct sockaddr_storage *buf)
void | UpnpStateVarRequest_clear_CtrlPtIPAddr (UpnpStateVarRequest *p)
const DOMString | UpnpStateVarRequest_get_CurrentVal (const UpnpStateVarRequest *p)
int | UpnpStateVarRequest_set_CurrentVal (UpnpStateVarRequest *p, const DOMString s)
const char * | UpnpStateVarRequest_get_CurrentVal_cstr (const UpnpStateVarRequest *p)

## Detailed Description

Source file for UpnpStateVarRequest methods.

Do not edit this file, it is automatically generated. Please look at generator.c.

Author
  Marcelo Roberto Jimenez

## Function Documentation

## UpnpStateVarRequest_assign()

int UpnpStateVarRequest_assign | ( | UpnpStateVarRequest * | p,
|  | const UpnpStateVarRequest * | q
| ) |  |

Assignment operator

References UpnpStateVarRequest_get_CtrlPtIPAddr(), UpnpStateVarRequest_get_CurrentVal(), UpnpStateVarRequest_get_DevUDN(), UpnpStateVarRequest_get_ErrCode(), UpnpStateVarRequest_get_ErrStr(), UpnpStateVarRequest_get_ServiceID(), UpnpStateVarRequest_get_Socket(), UpnpStateVarRequest_get_StateVarName(), UpnpStateVarRequest_set_CtrlPtIPAddr(), UpnpStateVarRequest_set_CurrentVal(), UpnpStateVarRequest_set_DevUDN(), UpnpStateVarRequest_set_ErrCode(), UpnpStateVarRequest_set_ErrStr(), UpnpStateVarRequest_set_ServiceID(), UpnpStateVarRequest_set_Socket(), and UpnpStateVarRequest_set_StateVarName().

Referenced by UpnpStateVarRequest_dup().

## UpnpStateVarRequest_clear_CtrlPtIPAddr()

void UpnpStateVarRequest_clear_CtrlPtIPAddr | ( | UpnpStateVarRequest * | p | ) |

UpnpStateVarRequest_get_CtrlPtIPAddr

## UpnpStateVarRequest_clear_DevUDN()

void UpnpStateVarRequest_clear_DevUDN | ( | UpnpStateVarRequest * | p | ) |

UpnpStateVarRequest_clear_DevUDN

References UpnpString_clear().

## UpnpStateVarRequest_clear_ErrStr()

void UpnpStateVarRequest_clear_ErrStr | ( | UpnpStateVarRequest * | p | ) |

UpnpStateVarRequest_clear_ErrStr

References UpnpString_clear().

## UpnpStateVarRequest_clear_ServiceID()

void UpnpStateVarRequest_clear_ServiceID | ( | UpnpStateVarRequest * | p | ) |

UpnpStateVarRequest_clear_ServiceID

References UpnpString_clear().

## UpnpStateVarRequest_clear_StateVarName()

void UpnpStateVarRequest_clear_StateVarName | ( | UpnpStateVarRequest * | p | ) |

UpnpStateVarRequest_clear_StateVarName

References UpnpString_clear().

## UpnpStateVarRequest_delete()

void UpnpStateVarRequest_delete | ( | UpnpStateVarRequest * | p | ) |

Destructor

References ixmlFreeDOMString(), and UpnpString_delete().

Referenced by handle_query_variable().

## UpnpStateVarRequest_dup()

UpnpStateVarRequest * UpnpStateVarRequest_dup | ( | const UpnpStateVarRequest * | p | ) |

Copy Constructor

References UpnpStateVarRequest_assign(), and UpnpStateVarRequest_new().

## UpnpStateVarRequest_get_CtrlPtIPAddr()

const struct sockaddr_storage * UpnpStateVarRequest_get_CtrlPtIPAddr | ( | const UpnpStateVarRequest * | p | ) |

UpnpStateVarRequest_get_CtrlPtIPAddr

Referenced by UpnpStateVarRequest_assign().

## UpnpStateVarRequest_get_CurrentVal()

const DOMString UpnpStateVarRequest_get_CurrentVal | ( | const UpnpStateVarRequest * | p | ) |

UpnpStateVarRequest_get_CurrentVal

Referenced by handle_query_variable(), SampleUtil_PrintEvent(), UpnpStateVarRequest_assign(), and UpnpStateVarRequest_get_CurrentVal_cstr().

## UpnpStateVarRequest_get_CurrentVal_cstr()

const char * UpnpStateVarRequest_get_CurrentVal_cstr | ( | const UpnpStateVarRequest * | p | ) |

UpnpStateVarRequest_get_CurrentVal_cstr

References UpnpStateVarRequest_get_CurrentVal().

## UpnpStateVarRequest_get_DevUDN()

const UpnpString * UpnpStateVarRequest_get_DevUDN | ( | const UpnpStateVarRequest * | p | ) |

UpnpStateVarRequest_get_DevUDN

Referenced by SampleUtil_PrintEvent(), TvDeviceHandleGetVarRequest(), UpnpStateVarRequest_assign(), UpnpStateVarRequest_get_DevUDN_cstr(), and UpnpStateVarRequest_get_DevUDN_Length().

## UpnpStateVarRequest_get_DevUDN_cstr()

const char * UpnpStateVarRequest_get_DevUDN_cstr | ( | const UpnpStateVarRequest * | p | ) |

UpnpStateVarRequest_get_DevUDN_cstr

References UpnpStateVarRequest_get_DevUDN(), and UpnpString_get_String().

## UpnpStateVarRequest_get_DevUDN_Length()

size_t UpnpStateVarRequest_get_DevUDN_Length | ( | const UpnpStateVarRequest * | p | ) |

UpnpStateVarRequest_get_DevUDN_Length

References UpnpStateVarRequest_get_DevUDN(), and UpnpString_get_Length().

## UpnpStateVarRequest_get_ErrCode()

int UpnpStateVarRequest_get_ErrCode | ( | const UpnpStateVarRequest * | p | ) |

UpnpStateVarRequest_get_ErrCode

Referenced by handle_query_variable(), SampleUtil_PrintEvent(), TvDeviceHandleGetVarRequest(), and UpnpStateVarRequest_assign().

## UpnpStateVarRequest_get_ErrStr()

const UpnpString * UpnpStateVarRequest_get_ErrStr | ( | const UpnpStateVarRequest * | p | ) |

UpnpStateVarRequest_get_ErrStr

Referenced by handle_query_variable(), SampleUtil_PrintEvent(), UpnpStateVarRequest_assign(), UpnpStateVarRequest_get_ErrStr_cstr(), and UpnpStateVarRequest_get_ErrStr_Length().

## UpnpStateVarRequest_get_ErrStr_cstr()

const char * UpnpStateVarRequest_get_ErrStr_cstr | ( | const UpnpStateVarRequest * | p | ) |

UpnpStateVarRequest_get_ErrStr_cstr

References UpnpStateVarRequest_get_ErrStr(), and UpnpString_get_String().

Referenced by handle_query_variable().

## UpnpStateVarRequest_get_ErrStr_Length()

size_t UpnpStateVarRequest_get_ErrStr_Length | ( | const UpnpStateVarRequest * | p | ) |

UpnpStateVarRequest_get_ErrStr_Length

References UpnpStateVarRequest_get_ErrStr(), and UpnpString_get_Length().

## UpnpStateVarRequest_get_ServiceID()

const UpnpString * UpnpStateVarRequest_get_ServiceID | ( | const UpnpStateVarRequest * | p | ) |

UpnpStateVarRequest_get_ServiceID

Referenced by SampleUtil_PrintEvent(), TvDeviceHandleGetVarRequest(), UpnpStateVarRequest_assign(), UpnpStateVarRequest_get_ServiceID_cstr(), and UpnpStateVarRequest_get_ServiceID_Length().

## UpnpStateVarRequest_get_ServiceID_cstr()

const char * UpnpStateVarRequest_get_ServiceID_cstr | ( | const UpnpStateVarRequest * | p | ) |

UpnpStateVarRequest_get_ServiceID_cstr

References UpnpStateVarRequest_get_ServiceID(), and UpnpString_get_String().

## UpnpStateVarRequest_get_ServiceID_Length()

size_t UpnpStateVarRequest_get_ServiceID_Length | ( | const UpnpStateVarRequest * | p | ) |

UpnpStateVarRequest_get_ServiceID_Length

References UpnpStateVarRequest_get_ServiceID(), and UpnpString_get_Length().

## UpnpStateVarRequest_get_Socket()

int UpnpStateVarRequest_get_Socket | ( | const UpnpStateVarRequest * | p | ) |

UpnpStateVarRequest_get_Socket

Referenced by UpnpStateVarRequest_assign().

## UpnpStateVarRequest_get_StateVarName()

const UpnpString * UpnpStateVarRequest_get_StateVarName | ( | const UpnpStateVarRequest * | p | ) |

UpnpStateVarRequest_get_StateVarName

Referenced by SampleUtil_PrintEvent(), TvDeviceHandleGetVarRequest(), UpnpStateVarRequest_assign(), UpnpStateVarRequest_get_StateVarName_cstr(), and UpnpStateVarRequest_get_StateVarName_Length().

## UpnpStateVarRequest_get_StateVarName_cstr()

const char * UpnpStateVarRequest_get_StateVarName_cstr | ( | const UpnpStateVarRequest * | p | ) |

UpnpStateVarRequest_get_StateVarName_cstr

References UpnpStateVarRequest_get_StateVarName(), and UpnpString_get_String().

## UpnpStateVarRequest_get_StateVarName_Length()

size_t UpnpStateVarRequest_get_StateVarName_Length | ( | const UpnpStateVarRequest * | p | ) |

UpnpStateVarRequest_get_StateVarName_Length

References UpnpStateVarRequest_get_StateVarName(), and UpnpString_get_Length().

## UpnpStateVarRequest_new()

UpnpStateVarRequest * UpnpStateVarRequest_new | ( |  | ) |

Constructor

References UpnpString_new().

Referenced by handle_query_variable(), and UpnpStateVarRequest_dup().

## UpnpStateVarRequest_set_CtrlPtIPAddr()

int UpnpStateVarRequest_set_CtrlPtIPAddr | ( | UpnpStateVarRequest * | p,
|  | const struct sockaddr_storage * | buf
| ) |  |

UpnpStateVarRequest_get_CtrlPtIPAddr

Referenced by handle_query_variable(), and UpnpStateVarRequest_assign().

## UpnpStateVarRequest_set_CurrentVal()

int UpnpStateVarRequest_set_CurrentVal | ( | UpnpStateVarRequest * | p,
|  | const DOMString | s
| ) |  |

UpnpStateVarRequest_set_CurrentVal

References DOMString, ixmlCloneDOMString(), and ixmlFreeDOMString().

Referenced by TvDeviceHandleGetVarRequest(), and UpnpStateVarRequest_assign().

## UpnpStateVarRequest_set_DevUDN()

int UpnpStateVarRequest_set_DevUDN | ( | UpnpStateVarRequest * | p,
|  | const UpnpString * | s
| ) |  |

UpnpStateVarRequest_set_DevUDN

References UpnpString_get_String(), and UpnpString_set_String().

Referenced by UpnpStateVarRequest_assign().

## UpnpStateVarRequest_set_ErrCode()

int UpnpStateVarRequest_set_ErrCode | ( | UpnpStateVarRequest * | p,
|  | int | n
| ) |  |

UpnpStateVarRequest_set_ErrCode

Referenced by handle_query_variable(), TvDeviceHandleGetVarRequest(), and UpnpStateVarRequest_assign().

## UpnpStateVarRequest_set_ErrStr()

int UpnpStateVarRequest_set_ErrStr | ( | UpnpStateVarRequest * | p,
|  | const UpnpString * | s
| ) |  |

UpnpStateVarRequest_set_ErrStr

References UpnpString_get_String(), and UpnpString_set_String().

Referenced by UpnpStateVarRequest_assign().

## UpnpStateVarRequest_set_ServiceID()

int UpnpStateVarRequest_set_ServiceID | ( | UpnpStateVarRequest * | p,
|  | const UpnpString * | s
| ) |  |

UpnpStateVarRequest_set_ServiceID

References UpnpString_get_String(), and UpnpString_set_String().

Referenced by UpnpStateVarRequest_assign().

## UpnpStateVarRequest_set_Socket()

int UpnpStateVarRequest_set_Socket | ( | UpnpStateVarRequest * | p,
|  | int | n
| ) |  |

UpnpStateVarRequest_set_Socket

Referenced by UpnpStateVarRequest_assign().

## UpnpStateVarRequest_set_StateVarName()

int UpnpStateVarRequest_set_StateVarName | ( | UpnpStateVarRequest * | p,
|  | const UpnpString * | s
| ) |  |

UpnpStateVarRequest_set_StateVarName

References UpnpString_get_String(), and UpnpString_set_String().

Referenced by UpnpStateVarRequest_assign().

## UpnpStateVarRequest_strcpy_DevUDN()

int UpnpStateVarRequest_strcpy_DevUDN | ( | UpnpStateVarRequest * | p,
|  | const char * | s
| ) |  |

UpnpStateVarRequest_strcpy_DevUDN

References UpnpString_set_String().

Referenced by handle_query_variable().

## UpnpStateVarRequest_strcpy_ErrStr()

int UpnpStateVarRequest_strcpy_ErrStr | ( | UpnpStateVarRequest * | p,
|  | const char * | s
| ) |  |

UpnpStateVarRequest_strcpy_ErrStr

References UpnpString_set_String().

Referenced by TvDeviceHandleGetVarRequest().

## UpnpStateVarRequest_strcpy_ServiceID()

int UpnpStateVarRequest_strcpy_ServiceID | ( | UpnpStateVarRequest * | p,
|  | const char * | s
| ) |  |

UpnpStateVarRequest_strcpy_ServiceID

References UpnpString_set_String().

Referenced by handle_query_variable().

## UpnpStateVarRequest_strcpy_StateVarName()

int UpnpStateVarRequest_strcpy_StateVarName | ( | UpnpStateVarRequest * | p,
|  | const char * | s
| ) |  |

UpnpStateVarRequest_strcpy_StateVarName

References UpnpString_set_String().

Referenced by handle_query_variable().

## UpnpStateVarRequest_strncpy_DevUDN()

int UpnpStateVarRequest_strncpy_DevUDN | ( | UpnpStateVarRequest * | p,
|  | const char * | s,
|  | size_t | n
| ) |  |

UpnpStateVarRequest_strncpy_DevUDN

References UpnpString_set_StringN().

## UpnpStateVarRequest_strncpy_ErrStr()

int UpnpStateVarRequest_strncpy_ErrStr | ( | UpnpStateVarRequest * | p,
|  | const char * | s,
|  | size_t | n
| ) |  |

UpnpStateVarRequest_strncpy_ErrStr

References UpnpString_set_StringN().

## UpnpStateVarRequest_strncpy_ServiceID()

int UpnpStateVarRequest_strncpy_ServiceID | ( | UpnpStateVarRequest * | p,
|  | const char * | s,
|  | size_t | n
| ) |  |

UpnpStateVarRequest_strncpy_ServiceID

References UpnpString_set_StringN().

## UpnpStateVarRequest_strncpy_StateVarName()

int UpnpStateVarRequest_strncpy_StateVarName | ( | UpnpStateVarRequest * | p,
|  | const char * | s,
|  | size_t | n
| ) |  |

UpnpStateVarRequest_strncpy_StateVarName

References UpnpString_set_StringN().